View Issue Details

IDProjectCategoryView StatusLast Update
0000841SymmetricDSBugpublic2014-02-02 20:52
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.5 
Target Version3.1.6Fixed in Version3.1.6 
Summary0000841: 2 triggers for the same table that sync different subsets can end up causing errors
DescriptionIf you exclude columns from one of the sym_trigger entries then you have two sets of data for the same row with a different number of columns. The column metadata is only written out for the first set of captured data.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 0d19f3c6

2012-10-02 16:21:43

chenson

Details Diff
0000841: 2 triggers for the same table that sync different subsets can end up causing errors
0000841
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/ProtocolDataReader.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/AbstractProtocolDataWriter.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/CollectionUtils.java Diff File

Issue History

Date Modified Username Field Change
2012-10-02 15:31 chenson New Issue
2012-10-02 15:31 chenson Status new => assigned
2012-10-02 15:31 chenson Assigned To => chenson
2012-10-02 16:21 chenson Status assigned => resolved
2012-10-02 16:21 chenson Fixed in Version => 3.1.6
2012-10-02 16:21 chenson Resolution open => fixed
2012-10-03 15:20 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6307
2014-02-02 20:52 Changeset attached => SymmetricDS 3.1 r6311
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 0d19f3c6